import { TableTheme } from "./types";
export declare const Wrapper: import("styled-components").StyledComponent<"table", import("styled-components").DefaultTheme, {
    theme: TableTheme;
}, never>;
export declare const Headers: import("styled-components").StyledComponent<"tr", import("styled-components").DefaultTheme, {
    theme: TableTheme;
}, never>;
export declare const Header: import("styled-components").StyledComponent<"th", import("styled-components").DefaultTheme, {
    theme: TableTheme;
    colCount?: number | undefined;
}, never>;
export declare const Rows: import("styled-components").StyledComponent<"tbody", import("styled-components").DefaultTheme, {}, never>;
export declare const Row: import("styled-components").StyledComponent<"tr", import("styled-components").DefaultTheme, {
    theme: TableTheme;
}, never>;
export declare const ProgressRow: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    theme: TableTheme;
    value: string;
}, never>;
export declare const Item: import("styled-components").StyledComponent<"td", import("styled-components").DefaultTheme, {
    theme: TableTheme;
    colCount?: number | undefined;
    withProgress?: boolean | undefined;
}, never>;
